# code to prepare `so_ii_scope` dataset goes here

so_ii_scope = read.csv2(
    current_version("data-common/so-ii/scope"),
    colClasses = "character"
)[["code"]]
so_ii_scope = sort(so_ii_scope)

# code to prepare `so_ii_commune` dataset goes here

admin_express = current_version("data-common/data/IGN/ADMIN-EXPRESS/version")
selection = c("ID", "NOM", "NOM_M", "INSEE_COM", "STATUT", "POPULATION", "SIREN_EPCI")
so_ii_commune = sf::st_read(file.path(admin_express, "COMMUNE.shp"))[selection]
names(so_ii_commune) = c("id", "commune", "commune_majuscule", "code", "statut", "pop_2021", "epci", "geometry")
rownames(so_ii_commune) = so_ii_commune[["code"]]
so_ii_commune = so_ii_commune[so_ii_scope, ]

# code to prepare `so_ii_limit` dataset goes here

so_ii_limit = sf::st_union(so_ii_commune)

# code to prepare `so_ii_clc` dataset goes here

so_ii_clc = readRDS("data-common/data/so-ii/so-ii_clc.rds")
so_ii_clc = so_ii_clc["code_18"]
names(so_ii_clc) = c("clc_2018", "geometry")
color = scales::alpha(c("red3", "darkolivegreen3", "darkgreen", "#4C90B4", "lightblue"), .2)
so_ii_clc[["color"]] = as.character(
    cut(
        as.integer(substr(so_ii_clc[["clc_2018"]], 1, 1)), 
        breaks = 5,
        labels = color
    )
)

# code to prepare `so_ii_gaspar` dataset goes here

so_ii_gaspar = read.csv2(
    current_version("data-common/so-ii/gaspar", "catnat_year_n"),
    header = TRUE,
    row.names = 1
)
so_ii_gaspar = as.matrix(so_ii_gaspar)
colnames(so_ii_gaspar) = gsub("^X", "", colnames(so_ii_gaspar))
so_ii_gaspar = so_ii_gaspar[so_ii_scope, ]

# updating datasets

# actual = setwd(file.path(system.file(package = "geau"), ".."))
actual = setwd("geau")
usethis::use_data(so_ii_scope, internal = FALSE, overwrite = TRUE)
usethis::use_data(so_ii_commune, internal = FALSE, overwrite = TRUE)
usethis::use_data(so_ii_limit, internal = FALSE, overwrite = TRUE)
usethis::use_data(so_ii_clc, internal = FALSE, overwrite = TRUE)
usethis::use_data(so_ii_gaspar, internal = FALSE, overwrite = TRUE)
setwd(actual)
